Senders
Update Sender
Update the display name and/or the reply-to address of an existing sender.
PATCH
https://graph.sendcorex.com/v3.0/senders/:idBody parameters
idstringrequiredThe sender ID, in the URL path.
e.g.
"N4U292XC2ZD9W79UF4X4PSY0"fromstringoptionalNew display name for the sender.
e.g.
"Johnny Smith"replyTostringoptionalNew reply-to email address.
e.g.
"johnny@sendcorex.com"
Quick start
import axios from 'axios';
const response = await axios.patch(
'https://graph.sendcorex.com/v3.0/senders/N4U292XC2ZD9W79UF4X4PSY0',
{
from: "Johnny Smith",
replyTo: "johnny@sendcorex.com"
},
{ headers: { Authorization: process.env.SENDCOREX_API_KEY } },
);
console.log(response.data);Response
{
"success": true,
"code": "SENDER_UPDATED",
"sender": {
"id": "N4U292XC2ZD9W79UF4X4PSY0",
"from": "Johnny Smith",
"replyTo": "johnny@sendcorex.com"
}
}Response fields
codeSENDER_UPDATEDwhen the sender was updated.sender.idThe sender ID.
sender.from / replyToThe values after the update.
Errors
HTTP-level errors return type, code and message. Errors marked CMD come back inside the command result, with HTTP 200.
- 401
INVALID_API_KEYThe API key is invalid or revoked.